NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_sockcheck(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_sockcheck - Check if a socket is connected

## Table Of Contents

## Synopsis

- ns_sockcheck fileid

## Description

ns_sockcheck uses recv() or send() calls to check if a socket is still connected. The fileid is the read or write file id returned by ns_sockopen. This function is useful if you used the -nonblock option with ns_sockopen after calling ns_sockselect.

## COMMANDS

ns_sockcheck fileid

## EXAMPLES

## See Also

ns_sockselect

## Keywords

NaviServer, connected, socket